/* Geral */
:root {
--primary-color: #1C5246;
--gray-borders: #f3f3f3;
--black: #000000;
--white: #ffffff;
}
input:focus, a:focus,
.focus a {
	outline: none !important;
}
.col-full {
    max-width: 1680px;
}
a:hover {
    color: var(--primary-color);
}
a {
    text-decoration: none!important;
}
/* Cabeçalho */
header#masthead {
    padding: 0;
    margin: 0;
}
header#masthead a {
    text-decoration: none;
}
/* topbar */
.top-header ul li {
    display: inline;
}
.top-header {
    line-height: 38px;
    font-size: 15px;
    border-bottom: 1px solid var(--gray-borders);
}
.top-header ul li::before {
    display: none;
}
.top-header ul {
    text-align: right;
}
/* logo */
.woocommerce-active .site-header .site-branding {
    width: 100%;
    max-width: 220px;
    float: none;
    margin: 15px 0;
}
/* search */
.woocommerce-active .site-header .site-search {
    width: 100%;
    float: none;
    margin: unset;
    clear: none;
}
.woocommerce-active .site-header .site-search {
    width: 100%;
    float: none;
    margin: unset;
}
.woocommerce-active .site-header .site-search input#woocommerce-product-search-field-0 {
    background-color: white;
    border: 1px solid var(--gray-borders);
    border-radius: 50px;
    color: black;
}
/* top right buttons */
.cart-info>div {
    margin-left: 10px;
}
.cart-info {
    display: flex;
    justify-content: flex-end;
}
.cart-info .shop-icons svg {
    width: 40px; 
}
.cart-info a {
    color: var(--black);
}
.cart-info a:hover {
  color: var(--primary-color);
}
.cart-contact a {
    display: inline-flex;
    align-items: center;
}
.woocommerce-active .site-header .site-header-cart {
    width: 100%;
    float: none;
    margin: 0;
}
span.topcart-count {
    position: absolute;
    right: -5px;
    top: -5px;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background-color: var(--primary-color);
    text-align: center;
    line-height: 20px;
    color: white;
    font-size: 11px;
}
.cart-link .widget_shopping_cart {
    width: 180px!important;
    left: unset!important;
    right: -999em;
    background-color: var(--primary-color)!important;
    color: var(--white)!important;
}
.cart-link .site-header-cart:hover .widget_shopping_cart {
    right: 0;
}
header .widget_shopping_cart {
    min-width: 225px;
}
header .widget_shopping_cart  span, header .widget_shopping_cart p, header .widget_shopping_cart a {
    color: white!important;
}
header .widget_shopping_cart  ul.woocommerce-mini-cart {
    padding: 0;
}
header .widget_shopping_cart .total {
    background-color: var(--primary-color)!important;
}
header .widget_shopping_cart .woocommerce-mini-cart__buttons.buttons a {
    background-color: var(--black)!important;
    transition: all .3s;
}
header .widget_shopping_cart .woocommerce-mini-cart__buttons.buttons a:hover {
    background-color: var(--gray-borders)!important;
    color: var(--primary-color)!important;
    transition: all .3s;
}

/* menu */
div#mega-menu-wrap-primary {
    width: 100%!important;
    float: none!important;
    margin: 0!important;
}

/* quick view */
#np-quick-view-modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 9999;
    display: flex;
    align-items: center;
    justify-content: center;
}

.np-qv-overlay {
  position: absolute;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,.6);
}

.np-qv-content {
    position: relative;
    background: #fff;
    width: 90%;
    max-width: 800px;
    max-height: 90%;
    padding: 30px;
    overflow: scroll;
}

.np-qv-close {
  position: absolute;
  top: 10px;
  right: 15px;
  font-size: 28px;
  cursor: pointer;
}

.np-qv-product {
  display: flex;
  gap: 30px;
  flex-wrap: wrap;
}

.np-qv-gallery {
  flex: 1 1 45%;
}

.np-qv-summary {
  flex: 1 1 45%;
}

.np-qv-summary form.cart {
  margin-top: 20px;
}

#np-quick-view-modal .woocommerce-product-gallery {
  opacity: 1 !important;
}

.np-qv-gallery {
  width: 100%;
  display: inline-grid;
}

.np-qv-main-image img {
  width: 100%;
  height: auto;
  display: block;
}

.np-qv-thumbs {
  display: flex;
  gap: 10px;
  margin-top: 10px;
  overflow-x: auto;
}

.np-qv-thumb {
  cursor: pointer;
  flex: 0 0 auto;
}
.np-qv-thumb img {
  max-width: 70px;
  border: 1px solid #ddd;
}
.np-qv-thumb.is-active {
  border: 2px solid #000;
}

/* Finalização */
.page-id-9 .col-1 {
    width: 100%!important;
}
.page-id-9 .col-2 {
    width: 100%!important;
}

/* Produtos */
.product img {
    border: 1px solid #f3f3f3;
    border-radius: 10px;
}
.woocommerce-loop-product__title {
    color: var(--black);
    font-weight: 600!important;
    font-size: 18px!important;
    text-align: left; 
}
span.price {
    font-size: 20px;
    font-family: 'Poppins';
    text-align: left;
    color: var(--primary-color)!important;
    font-weight: 500!important;
}
.product-buttons {
    position: absolute;
    right: 10px;
    top: 10px;
}
.product-buttons .button {
    padding: 10px;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: #f3f3f3;
    color: var(--black);
    border: 1px solid #ebebeb;
    transition: all .3s;
}
.product-buttons .button:hover {
    background-color: #ebebeb;
    color: var(--primary-color);
    transition: all .3s;
}
/* dentro do produto */
h1.product_title.entry-title {
    color: var(--primary-color);
}
button.single_add_to_cart_button.button.alt, a.wc-block-components-button.wp-element-button.wc-block-cart__submit-button {
    background-color: var(--black);
    transition: all .3s;
}
button.single_add_to_cart_button.button.alt:hover, a.wc-block-components-button.wp-element-button.wc-block-cart__submit-button:hover {
    background-color: var(--primary-color);
    transition: all .3s;
}

/* Depoimentos */
.bg-vidro h2 {
    background: rgba(255, 255, 255, 0.4);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border-radius: 12px;
    padding: 20px;
    border: 1px solid rgba(255, 255, 255, 0.3);
    display: inline;
}
.bg-vidro .wpmtst-testimonial-inner.testimonial-inner {
    background: rgba(255, 255, 255, 0.4);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border-radius: 12px;
    border: 1px solid rgba(255, 255, 255, 0.3);
    margin: 0 20px;
    width: calc(100% - 40px)!important;
}
/* blog */
.noti-imagem {
    border-radius: 6px;
    overflow: hidden; 
}
a.noti-ler {
    font-size: 15px;
    color: black;
}
.noti-titulo h3 a {
    font-size: 20px;
    font-weight: 500;
    color: var(--primary-color);
}
.noti-resumo {
    font-size: 15px;
} 

/* RODAPÉ */
footer {
    border-top: 1px solid var(--primary-color);
}
footer .menu li::before {
    display: none;
}
footer .menu li, footer .menu {
    padding: 0;
}
ul#menu-categorias-rodape li {
    width: 49%;
    float: left;
    margin-right: 1%;
}
.copyrights-foo {
    padding-top: 15px;
    display: flex;
    justify-content: center;
}
.footer-wpp {
    position: fixed;
    right: 10px;
    bottom: 10px;
    width: 55px;
    z-index: 999999;
}
.footer-wpp .whatsapp-icon {
    padding: 4px;
    background-color: var(--gray-borders);
    border-radius: 50%;
    display: block;
    border: 1px solid #e1e1e1;
}
.footer-wpp a:hover .whatsapp-icon {
    color: var(--primary-color);
}
@media (max-width: 768px) {
  .np-qv-product {
    flex-direction: column;
  }
} 

/* Responsive */
@media screen and (max-width: 768px) {
.cart-account, .cart-link {
    display: none;
}
}